@echo off
cls
echo The following OBJECT files are missing:
echo.
if not exist allmain.o     echo ALLMAIN.O 
if not exist alloc.o       echo ALLOC.O 
if not exist apply.o       echo APPLY.O 
if not exist artifact.o    echo ARTIFACT.O        
if not exist attrib.o      echo ATTRIB.O 
if not exist bones.o       echo BONES.O 
if not exist botl.o        echo BOTL.O 
if not exist cmd.o         echo CMD.O        
if not exist dbridge.o     echo DBRIDGE.O 
if not exist decl.o        echo DECL.O       
if not exist detect.o      echo DETECT.O 
if not exist display.o     echo DISPLAY.O 
if not exist do.o          echo DO.O        
if not exist do_name.o     echo DO_NAME.O
if not exist do_wear.o     echo DO_WEAR.O
if not exist dog.o         echo DOG.O  
if not exist dogmove.o     echo DOGMOVE.O
if not exist dokick.o      echo DOKICK.O
if not exist dothrow.o     echo DOTHROW.O
if not exist drawing.o     echo DRAWING.O
if not exist dungeon.o     echo DUNGEON.O
if not exist eat.o         echo EAT.O
if not exist end.o         echo END.O  
if not exist engrave.o     echo ENGRAVE.O
if not exist exper.o       echo EXPER.O
if not exist explode.o     echo EXPLODE.O
if not exist extralev.o    echo EXTRALEV.O
if not exist files.o       echo FILES.O
if not exist fountain.o    echo FOUNTAIN.O
if not exist getline.o     echo GETLINE.O
if not exist hack.o        echo HACK.O
if not exist invent.o      echo INVENT.O
if not exist lock.o        echo LOCK.O
if not exist mail.o        echo MAIL.O
if not exist hacklib.o     echo HACKLIB.O
if not exist main.o        echo MAIN.O
if not exist makemon.o     echo MAKEMON.O
if not exist mcastu.o      echo MCASTU.O
if not exist mhitm.o       echo MHITM.O
if not exist mhitu.o       echo MHITU.O
if not exist minion.o      echo MINION.O
if not exist mklev.o       echo MKLEV.O
if not exist mkmap.o       echo MKMAP.O
if not exist mkmaze.o      echo MKMAZE.O
if not exist mkobj.o       echo MKOBJ.O
if not exist mkroom.o      echo MKROOM.O
if not exist mon.o         echo MON.O 
if not exist mondata.o     echo MONDATA.O 
if not exist monmove.o     echo MONMOVE.O        
if not exist monst.o       echo MONST.O
if not exist monstr.o      echo MONSTR.O 
if not exist mplayer.o     echo MPLAYER.O 
if not exist mthrowu.o     echo MTHROWU.O 
if not exist muse.o        echo MUSE.O
if not exist music.o       echo MUSIC.O
if not exist o_init.o      echo O_INIT.O
if not exist objects.o     echo OBJECTS.O
if not exist objnam.o      echo OBJNAM.O
if not exist options.o     echo OPTIONS.O
if not exist msdos.o       echo MSDOS.O
if not exist pager.o       echo PAGER.O
if not exist pickup.o      echo PICKUP.O  
if not exist pline.o       echo PLINE.O 
if not exist polyself.o    echo POLYSELF.O 
if not exist potion.o      echo POTION.O 
if not exist priest.o      echo PRIEST.O   
if not exist quest.o       echo QUEST.O    
if not exist questpgr.o    echo QUESTPGR.O       
if not exist pray.o        echo PRAY.O  
if not exist priest.o      echo PRIEST.O 
if not exist read.o        echo READ.O
if not exist rect.o        echo RECT.O
if not exist restore.o     echo RESTORE.O            
if not exist rip.o         echo RIP.O
if not exist rnd.o         echo RND.O
if not exist rumors.o      echo RUMORS.O
if not exist save.o        echo SAVE.O            
if not exist shk.o         echo SHK.O
if not exist shknam.o      echo SHKNAM.O      
if not exist sit.o         echo SIT.O
if not exist sounds.o      echo SOUNDS.O       
if not exist sp_lev.o      echo SP_LEV.O
if not exist spell.o       echo SPELL.O
if not exist steal.o       echo STEAL.O
if not exist sys.o         echo SYS.O
if not exist termcap.o     echo TERMCAP.O
if not exist timeout.o     echo TIMEOUT.O
if not exist topl.o        echo TOPL.O
if not exist topten.o      echo TOPTEN.O
if not exist track.o       echo TRACK.O
if not exist trap.o        echo TRAP.O     
if not exist tty.o         echo TTY.O
if not exist u_init.o      echo U_INIT.O
if not exist uhitm.o       echo UHITM.O
if not exist unix.o        echo UNIX.O
if not exist vault.o       echo VAULT.O     
if not exist version.o     echo VERSION.O     
if not exist vision.o      echo VISION.O     
if not exist vis_tab.o     echo VIS_TAB.O
if not exist weapon.o      echo WEAPON.O
if not exist were.o        echo WERE.O
if not exist wield.o       echo WEILD.O
if not exist windows.o     echo WINDOWS.O
if not exist wintty.o      echo WINTTY.O
if not exist wizard.o      echo WIZARD.O
if not exist worm.o        echo WORM.O
if not exist worn.o        echo WORN.O
if not exist write.o       echo WRITE.O
if not exist zap.o         echo ZAP.O
echo [END OF LIST]
echo.
echo The following SOURCE files are missing:
echo.
if not exist allmain.c     echo ALLMAIN.C 
if not exist alloc.c       echo ALLOC.C 
if not exist apply.c       echo APPLY.C 
if not exist artifact.c    echo ARTIFACT.C        
if not exist attrib.c      echo ATTRIB.C 
if not exist bones.c       echo BONES.C 
if not exist botl.c        echo BOTL.C 
if not exist cmd.c         echo CMD.C        
if not exist dbridge.c     echo DBRIDGE.C 
if not exist decl.c        echo DECL.C       
if not exist detect.c      echo DETECT.C 
if not exist display.c     echo DISPLAY.C 
if not exist do.c          echo DO.C        
if not exist do_name.c     echo DO_NAME.C
if not exist do_wear.c     echo DO_WEAR.C
if not exist dog.c         echo DOG.C  
if not exist dogmove.c     echo DOGMOVE.C
if not exist dokick.c      echo DOKICK.C
if not exist dothrow.c     echo DOTHROW.C
if not exist drawing.c     echo DRAWING.C
if not exist dungeon.c     echo DUNGEON.C
if not exist eat.c         echo EAT.C
if not exist end.c         echo END.C  
if not exist engrave.c     echo ENGRAVE.C
if not exist exper.c       echo EXPER.C
if not exist explode.c     echo EXPLODE.C
if not exist extralev.c    echo EXTRALEV.C
if not exist files.c       echo FILES.C
if not exist fountain.c    echo FOUNTAIN.C
if not exist getline.c     echo GETLINE.C
if not exist hack.c        echo HACK.C
if not exist invent.c      echo INVENT.C
if not exist lock.c        echo LOCK.C
if not exist mail.c        echo MAIL.C
if not exist hacklib.c     echo HACKLIB.C
if not exist makemon.c     echo MAKEMON.C
if not exist mcastu.c      echo MCASTU.C
if not exist mhitm.c       echo MHITM.C
if not exist mhitu.c       echo MHITU.C
if not exist minion.c      echo MINION.C
if not exist mklev.c       echo MKLEV.C
if not exist mkmap.c       echo MKMAP.C
if not exist mkmaze.c      echo MKMAZE.C
if not exist mkobj.c       echo MKOBJ.C
if not exist mkroom.c      echo MKROOM.C
if not exist mon.c         echo MON.C 
if not exist mondata.c     echo MONDATA.C 
if not exist monmove.c     echo MONMOVE.C        
if not exist monst.c       echo MONST.C
if not exist monstr.c      echo MONSTR.C 
if not exist mplayer.c     echo MPLAYER.C 
if not exist mthrowu.c     echo MTHROWU.C 
if not exist muse.c        echo MUSE.C
if not exist music.c       echo MUSIC.C
if not exist o_init.c      echo O_INIT.C
if not exist objects.c     echo OBJECTS.C
if not exist objnam.c      echo OBJNAM.C
if not exist options.c     echo OPTIONS.C
if not exist msdos.c       echo MSDOS.C
if not exist pager.c       echo PAGER.C
if not exist pickup.c      echo PICKUP.C  
if not exist pline.c       echo PLINE.C 
if not exist polyself.c    echo POLYSELF.C 
if not exist potion.c      echo POTION.C 
if not exist priest.c      echo PRIEST.C   
if not exist quest.c       echo QUEST.C    
if not exist questpgr.c    echo QUESTPGR.C       
if not exist pray.c        echo PRAY.C  
if not exist priest.c      echo PRIEST.C 
if not exist read.c        echo READ.C
if not exist rect.c        echo RECT.C
if not exist restore.c     echo RESTORE.C            
if not exist rip.c         echo RIP.C
if not exist rnd.c         echo RND.C
if not exist rumors.c      echo RUMORS.C
if not exist save.c        echo SAVE.C            
if not exist shk.c         echo SHK.C
if not exist shknam.c      echo SHKNAM.C      
if not exist sit.c         echo SIT.C
if not exist sounds.c      echo SOUNDS.C       
if not exist sp_lev.c      echo SP_LEV.C
if not exist spell.c       echo SPELL.C
if not exist steal.c       echo STEAL.C
if not exist termcap.c     echo TERMCAP.C
if not exist timeout.c     echo TIMEOUT.C
if not exist topl.c        echo TOPL.C
if not exist topten.c      echo TOPTEN.C
if not exist track.c       echo TRACK.C
if not exist trap.c        echo TRAP.C     
if not exist u_init.c      echo U_INIT.C
if not exist uhitm.c       echo UHITM.C
if not exist vault.c       echo VAULT.C     
if not exist version.c     echo VERSION.C     
if not exist vision.c      echo VISION.C     
if not exist vis_tab.c     echo VIS_TAB.C
if not exist weapon.c      echo WEAPON.C
if not exist were.c        echo WERE.C
if not exist wield.c       echo WEILD.C
if not exist windows.c     echo WINDOWS.C
if not exist wintty.c      echo WINTTY.C
if not exist wizard.c      echo WIZARD.C
if not exist worm.c        echo WORM.C
if not exist worn.c        echo WORN.C
if not exist write.c       echo WRITE.C
if not exist zap.c         echo ZAP.C
echo [END OF LIST]

